Subject: [bug#69971] [PATCH v2] gnu: webkitgtk: Add locale and dri access to gtk sandbox in order to silence gtk locale warnings and enable hardware accelerated video, respectively.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 01 Apr 2024 19:05:01 +0200

Am Montag, dem 01.04.2024 um 06:49 -0400 schrieb Abhishek Cherath:
> > I think dynamic choices should be possible – IIRC, std::strings are
> > used for arguments, but even if not, we're dealing with C++, so we
> > can allocate "on the stack".
> 
> 👍. I can make that change tomorrow. One QoL thing. How do you run a
> program built in /tmp/<<build_folder>> without it complaining about
> store paths and suchlike?
> 
> I ask because ideally, I'd debug this by interrupting the webkit
> build somewhere while I have --keep-failed, then `guix shell -D
> webkitgtk --pure && . environment-variables`, then running the
> minibrowser. But that doesn't work because it complains about stuff
> not being in the store.
> 
> Oh, but I suppose I could use LD_LIBRARY_PATH unless it compiles in
> some strings.  Will try.
You should be able to run things from the build folder, but you could
also throw a post-install error if needed.  Just note that webkitgtk in
and of itself doesn't really come with a full browser, so you'd have to
compile one as well…

I think with webkit in particular the problem is that store paths are
getting hard-coded in places where file existence is required, so you
might want to replace those store paths with /tmp/guix-build/…

> > rebuilds from 44.10.  I'd prefer if stuff that rebuilds webkitgtk
> > on master were grafted, as it causes more than the prescribed 300
> > rebuilds and is a nasty build itself.
> 
> 👍, so call this webkitgtk-bubblewrap-fixed and have a replacement
> field in the other package?
Ahh, sorry, grafts are for security purposes – changes like these would
have to go through the usual channels (i.e. gnome-team).  We will be
jumping ahead to 46 at some point in the future, but for now the branch
is chill and we still need to catch up on stuff we missed for master.

Cheers